#!/bin/sh

MCSV_PRODUCT_PATH=$1    
   
{ # try
	cd $MCSV_PRODUCT_PATH
	if [ ! -d /$MCSV_PRODUCT_PATH/modules/ ]; then
		mkdir modules
		echo 'cria modules--------------------------------------------'   
	fi

	#rm -Rf cd $MCSV_PRODUCT_PATH/modules/login
    
	if [ ! -d /$MCSV_PRODUCT_PATH/modules/login/ ]; then
		echo 'Login inicio ------------------------------------------------'  
		cd $MCSV_PRODUCT_PATH/modules
		#cp -R /var/www/equipe_teste/php7-4/teknisa_teste/tecfood-next/modules/login ./login
		#cp -R $MCSV_PRODUCT_PATH/modules/login_bkp ./$MCSV_PRODUCT_PATH/modules/login
    
		git clone git@gitlab.teknisa.com:teknisa/login-next.git login
		cd login
		git checkout PROD_6138_1.9.2
    
		cd backend 
		composer install
		composer update
    
		#cp ./config/environment.xml.template ./config/environment.xml
    
		cd ../frontend
		export NPM_TOKEN="957a591d-dc71-465b-99f8-16a8b06e2e68"    
		cp ./src/config/prodEnvironment.json ./src/config/devEnvironment.json
    
		npm install
    
		#cd ../frontend && npm install --cache /tmp/empty-cache
		grunt
		grunt buildEnvironment:test
		npm run build

		echo 'login FIM  -------------------------------------------------' 
	fi
} || { # catch
	echo 'Modules Login Error ----------------------------------------'
	exit 1
}
